<template>
  <section class="app-main">
    <transition name="fade-transform" mode="out-in">
      <router-view :key="key" v-loading="loadingScreen" />
    </transition>
  </section>
</template>

<script>
import { mapGetters } from "vuex"
export default {
  name: 'AppMain',
  computed: {
    key() {
      return this.$route.path
    },
    ...mapGetters(['app/loadingScreen'])
  },

  // data() {
  //   return {
  //     loadingScreen: false,
  //   }
  // },
  // created() {
  //   this.loadingScreen = true
  //   setTimeout(() => {
  //     this.loadingScreen = true
  //   }, 1000)
  // },
  // watch: {
  //   loadingScreen (newCount, oldCount) {
  //     // Our fancy notification (2).
  //     console.log(`old: ${oldCount}, new ${newCount}`)
  //   }
  // }
}
</script>

<style scoped>
.app-main {
  /*50 = navbar  */
  min-height: calc(100vh - 50px);
  width: 100%;
  position: relative;
  overflow: hidden;
}
.fixed-header + .app-main {
  padding-top: 50px;
}
</style>

<style lang="scss">
// fix css style bug in open el-dialog
.el-popup-parent--hidden {
  .fixed-header {
    padding-right: 15px;
  }
}
</style>
